Subject: pine confused by some headers

From: RMB <[email-masked]>
Date: Tue, 22 Aug 1995 23:26:00 -0400

When someone (who uses elm) forwards a message to me, pine (3.91, Solaris
2.4) presents the message as two separate messages, rather than a single
message with a forwarded section included. 

Pine's index displays the first message as being from my friend. However
this message is empty. 

The index displays the 2nd message with no "from" address, and with a date
of "xxx -1". Instead of a "from", it just puts a "To: bobb@hsph2" in the
index. 

And, when I read the 2nd message, and turn on rich headers, the only
headers appearing are To: and Subject:. No From or Date headers. 

My question is, who is misbehaving, elm or pine? Is there a workaround for
this situation? 

I've included here the contents of a forwarded message from my friend. 
(I've added the "> " line prefixes)

==== begin included text ==============================================

> From [email-masked] Aug 22 23:09:47 1995
> Date: Mon, 21 Aug 95 13:28:46 EDT
> From: Joe User <[email-masked]>
> To: Robert Byers <[email-masked]>
> Subject: How to use UUDECODE (fwd)
>
> Forwarded message:
> From the-concourse-on-highTue Aug 22 23:09:51 1995
> To: [email-masked]
> Subject: dis izza test, mon.
>
> Dear Madams/Sirs:
>	This is a test message, please ignore.
>

Thanks in advance,
-Bob Byers
 Harvard School of Public Health
 Boston, MA 02115